
Redmine - Defect #6744

lft and rgt fields are null when issue is added via redmine:email:receive_imap

2010-10-26 04:03 - Jonathan Johnson

Status: Closed Start date: 2010-10-26

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.2

Description

When receiving a report via email in 1.0.2, lft and rgt columns in the issues table are set to null. This causes internal server errors

when attempting to render pages that list the report or view the report in question.

The command I'm using to fetch emails is:

rake -f /var/www/redmine/Rakefile redmine:email:receive_imap RAILS_ENV="production" host=imap.gmail.com username=EMAIL

password=PASSWORD ssl=true port=993

The issue is properly created with all of the specifications provided, but lft and rgt are null. To fix it, I found via another post that

setting lft to 1 and rgt to 2 works, and it does seem to work around the issue for me.

My system:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/www/redmine-1.0

Environment               production

Database adapter          mysql

Database schema version   20100819172912

History

#1 - 2010-10-26 06:12 - Jonathan Johnson

- Status changed from New to Resolved

I'm sorry for the false report. It turns out that I was using the old redmine's rakefile, which is what was causing the issues. Completely a PEBKAC

error.

#2 - 2010-10-26 11:05 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

#3 - 2011-10-25 13:01 - Quintin Atwood
